# Copyright(C) 2019 ALPSALPINE CO.,LTD. All Rights Reserved.
LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_CFLAGS := -Wno-macro-redefined -Wno-unused-function -Wall -Werror
LOCAL_CLANG := true

LOCAL_MODULE_PATH := $(KERNEL_MODULES_OUT)
LOCAL_MODULE := alap_rpc.ko

LOCAL_SRC_FILES := alap_rpc.c

LOCAL_LICENSE_KINDS := SPDX-license-identifier-GPL-2.0-only
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/COPYING

RPC_DRIVER_BUILD_DIR := ../../vendor/alpine/kernel/kernel-modules/rpc-driver/src
DLKM_DIR := ./device/qcom/common/dlkm

KBUILD_OPTIONS := KERNEL_ROOT=$(shell pwd)/kernel/msm-$(TARGET_KERNEL_VERSION)/
KBUILD_OPTIONS += MODNAME=alap_rpc
KBUILD_OPTIONS += BOARD_PLATFORM=$(TARGET_BOARD_PLATFORM)

ifeq ($(TARGET_BOARD_ODM_NAME),alpine)
include $(DLKM_DIR)/Build_external_kernelmodule.mk
endif

